// PHP file:
<div>
	<?php
	if( $some_bool ) {
	?>
		<span class="foo"></span>
	<?php
	} else {
	?>
		<div class="bar"></div>
	<?php
	}
	?>
</div>

// XHP file:
<?php
$foo = $some_bool ? <span class="foo" /> : <div class="bar" />;
echo <div>{$foo}</div>;
?>
